Summary: A GNU tool for automatically configuring source code.
Name: autoconf253
Version: 2.53
Release: 1.3.0
Copyright: GPL
Group: Development/Tools
Source: ftp://prep.ai.mit.edu/pub/gnu/autoconf/autoconf-%{version}.tar.bz2
URL: http://sources.redhat.com/autoconf/
#Patch1: autoconf-2.52-mawk.patch
Patch2: autoconf-2.52-wait3.patch
Patch3: autoconf-2.53-versioning.patch
Patch4: autoconf-2.53-automake15.patch
#Prereq(post,preun): /sbin/install-info
Requires: automake15 
Requires: gawk, m4, mktemp, perl, textutils
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and
would like to create shell scripts that configure your source code
packages. If you are installing Autoconf, you will also need to
install the GNU m4 package.

Note that the Autoconf package is not required for the end-user who
may be configuring software with an Autoconf-generated script;
Autoconf is only required for the generation of the scripts, not
their use.

This package provides a newer version of autoconf than that
in the autoconf package.
%prep
%setup -q -n autoconf-%{version}
#%patch1 -p1 -b .mawk
%patch3 -p1 -b .version
%patch4 -p1 -b .automake15

%build
%configure --program-suffix=-%{version}
make

%install
rm -rf ${RPM_BUILD_ROOT}
#mkdir -p ${RPM_BUILD_ROOT}%{_infodir}

%makeinstall

%define infofile %{name}.info

mv ${RPM_BUILD_ROOT}%{_infodir}/autoconf.info ${RPM_BUILD_ROOT}%{_infodir}/%{infofile}
gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/*

# We don't want to include the standards.info stuff in the package,
# because it comes from binutils...
rm -f ${RPM_BUILD_ROOT}%{_infodir}/standards*
# cp install-sh ${RPM_BUILD_ROOT}%{_datadir}/autoconf

%clean
rm -rf ${RPM_BUILD_ROOT}

#%post
#/sbin/install-info %{_infodir}/%{infofile}.gz %{_infodir}/dir

#%preun
#/sbin/install-info --del %{_infodir}/%{infofile}.gz %{_infodir}/dir

%files
%defattr(-,root,root)
%{_bindir}/*
%doc %{_infodir}/%{infofile}*
%{_datadir}/autoconf-%{version}

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).
  - Taken from Red Hat 7.3.  Pre-EnGarde changelog removed.

* Wed Mar 27 2002 Jens Petersen <petersen@redhat.com> 2.53-3
- make autoreconf use automake15 by default
- require automake15

* Tue Mar 26 2002 Jens Petersen <petersen@redhat.com> 2.53-2
- correct info file name

* Tue Mar 12 2002 Jens Petersen <petersen@redhat.com> 2.53-1
- new package based on autoconf252
- mawk obsolete
- versioning for 2.53 with patch to configure

* Wed Feb 27 2002 Jens Petersen <petersen@redhat.com> 2.52-2
- dont post/preun install-info (#60355)

* Tue Feb 26 2002 Jens Petersen <petersen@redhat.com> 2.52-1
- new package based on autoconf-2.52 spec file
- add version to bindir files
- add version to pkgdatadir
- add version to infofile

* Fri Feb  1 2002 Jens Petersen <petersen@redhat.com>
- revert to 2.52 (also fixes #58210!)
- remove relversion variable
- bring back mawk -> gawk patch

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Dec 20 2001 Jens Petersen <petersen@redhat.com>
- update to 2.52f
- add URL
- minor description improvements
- define relversion to carry version number
- mawk.patch no longer needed

* Sat Nov 17 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- rebuild

* Wed Sep 19 2001 Jens Petersen <petersen@redhat.com>
- restore patch to prefer gawk to mawk

* Tue Sep 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- update to 2.52d

* Mon Sep 17 2001 Jens Petersen <petersen@redhat.com>
- update to 2.52
- remove obsolete patches, since already new version
- dont install install-sh

* Tue Jul 10 2001 Jens Petersen <petersen@redhat.com>
- add patch to include various standard C headers as needed
  by various autoconf tests (#19114)
- add patch to autoscan.pl to get a better choice of init
  file (#42071), to test for CPP after CC (#42072) and to
  detect C++ source and g++ (#42073).

* Tue Jun 26 2001 Jens Petersen <petersen@redhat.com>
- Add a back-port of _AC_PROG_CXX_EXIT_DECLARATION
  from version 2.50 to make detection of C++ exit()
  declaration prototype platform independent.  The check is
  done in AC_PROG_CXX with the result stored in "confdefs.h".
  The exit() prototype in AC_TRY_RUN_NATIVE is no longer needed.
  (fixes #18829)

* Wed Nov 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up interoperability with glibc 2.2 and gcc 2.96:
  AC_TRY_RUN_NATIVE in C++ mode added a prototype for exit() to
  the test code without throwing an exception, causing a conflict
  with stdlib.h --> AC_TRY_RUN_NATIVE for C++ code including stdlib.h
  always failed, returning wrong results

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- add textutils as a dependency (#14439)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- fix preun

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- add patch to help autoconf clean after itself and not leave /tmp clobbered
  with acin.* and acout.* files (can you say annoying?)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)
- use gawk, not mawk

* Thu Mar 18 1999 Preston Brown <pbrown@redhat.com>
- moved /usr/lib/autoconf to /usr/share/autoconf (with automake)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Jan 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.13.

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires perl

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- patch for fixing /tmp race conditions

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- made a noarch package
- uses autoconf
- uses install-info

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- built with glibc

